/***************************************************************************
*
* Copyright 1997 by  the  Massachusetts Institute  of Technology.   All
* rights reserved.
*
* Developed  by the Perceptual Computing Section
* at the Media Laboratory, MIT, Cambridge, Massachusetts.
*
* Permission to use, copy,  or modify this software and  its documentation
* for  educational  and  research purposes only and without fee  is hereby
* granted, provided  that this copyright notice and the original authors's
* names appear  on all copies and supporting documentation.  If individual
* files are  separated from  this  distribution directory  structure, this
* copyright notice must be included.  For any other uses of this software,
* in original or  modified form, including but not limited to distribution
* in whole or in  part, specific  prior permission  must be  obtained from
* MIT.  These programs shall not  be  used, rewritten, or  adapted as  the
*   basis  of  a commercial  software  or  hardware product  without first
* obtaining appropriate licenses  from MIT.  MIT. makes no representations
* about the suitability of this  software for any purpose.  It is provided
* "as is" without express or implied warranty.
*
**************************************************************************/

///////////////////////////////////////////////////////////////////////////
// Filename	: OdxIsr.h
// Created	: Wednesday, May 14th, 1997
// Description: Prototypes for the OdxIsr functions
// 
//  Vasanth Philomin 1997, vasi@cs.umd.edu
///////////////////////////////////////////////////////////////////////////

#ifndef _ODXISR_H
#define _ODXISR_H

#include "odxdef.h"	// This includes corstd.h, odx.h & opr.h in turn

#define WM_ODXISR WM_USER + 100

// Prototypes
UINT OdxProfileHandlerThread(LPVOID pParam);
BOOL OdxIsr(DWORD);
void ResetCounters();
void OdxRemoveProfileHandler();
void OdxInstallProfileHandler();
void SetMsgWindowHandle(HWND);


#endif
